--- rpm-4.0.4-alt40/rpm-4_0.spec	2004-06-29 15:28:37 +0000
+++ rpm-4.0.4-alt40.M24.1/rpm-4_0.spec	2006-01-17 10:46:47 +0000
@@ -6,7 +6,7 @@
 
 Name: %rpm_name
 Version: %rpm_version
-Release: alt40
+Release: alt40.M24.1
 
 %define ifdef() %if %{expand:%%{?%{1}:1}%%{!?%{1}:0}}
 %define get_dep() %(rpm -q --qf '%%{NAME} >= %%|SERIAL?{%%{SERIAL}:}|%%{VERSION}-%%{RELEASE}' %1 2>/dev/null || echo '%1 >= unknown')
@@ -34,6 +34,7 @@ Url: http://www.rpm.org/
 # 2. cvs -d :pserver:anonymous@cvs.rpm.org:/cvs/devel export -r rpm-4_0 rpm
 # 3. ALT Linux CVS
 Source: %srcname.tar.bz2
+Patch: rpm-4.0-alt-python-pth.patch
 
 Provides: %_sysconfdir/%name/macros.d
 
@@ -198,6 +199,7 @@ programs that will manipulate RPM packag
 
 %prep
 %setup -q -n %srcname
+%patch -p1
 
 find -type d -name CVS -print0 |
 	xargs -r0 %__rm -rf --
@@ -507,6 +509,11 @@ fi
 %endif #with contrib
 
 %changelog
+* Tue Jan 17 2006 Grigory Batalov <bga@altlinux.ru> 4.0.4-alt40.M24.1
+- Handle *.pth files like other python files
+  (#8812, patch from Ivan Fedorov).
+  Backported feature from Sisyphus (4.0.4-alt55).
+
 * Tue Jun 29 2004 Dmitry V. Levin <ldv@altlinux.org> 4.0.4-alt40
 - find-lang:
   + more tweaks (#4540).
End of diff

Files not compared in rpm-4.0.4-alt40:
rpm-4_0-4.0.4/


Files not compared in rpm-4.0.4-alt40.M24.1:
rpm-4_0-4.0.4/
rpm-4.0-alt-python-pth.patch


